diff --git a/src/util-debug-filters.h b/src/util-debug-filters.h
index 0bd1661..f76a722 100644
--- a/src/util-debug-filters.h
+++ b/src/util-debug-filters.h
@@ -7,6 +7,9 @@
 
 #include <pthread.h>
 #include "threads.h"
+#include "suricata-common.h"
+#include "util-mem.h"
+#include "util-debug.h"
 
 /**
  * \brief Enum that holds the different kinds of filters available
@@ -99,4 +102,298 @@ int SCLogMatchFDFilter(const char *);
 
 int SCLogPrintFGFilters(void);
 
+/** ------- Inline funcionts ------ */
+
+extern int sc_log_module_initialized;
+extern int sc_log_module_cleaned;
+extern SCMutex sc_log_fg_filters_m[2];
+extern SCLogFGFilterFile *sc_log_fg_filters[2];
+
+static inline void SCLogAddToFGFFileList(SCLogFGFilterFile *,
+                                         const char *,
+                                         const char *,
+                                         int, int);
+
+/**
+ * \brief Helper function used internally to add a FG filter.  This function is
+ *        called when the file component of the incoming filter has an entry
+ *        in the filter list, but the function component doesn't have an entry
+ *        for the corresponding file component
+ *
+ * \param fgf_file The file component from the filter list to which the new
+ *                 filter has to be added
+ * \param fgf_func The function component(basically the position in the list),
+ *                 from the filter list, after which the new filter has to be
+ *                 added
+ * \param function Function_name of the filter
+ * \param line     Line number of the filter
+ */
+static inline void SCLogAddToFGFFuncList(SCLogFGFilterFile *fgf_file,
+                                         SCLogFGFilterFunc *fgf_func,
+                                         const char *function, int line)
+{
+    SCLogFGFilterFunc *fgf_func_temp = NULL;
+    SCLogFGFilterLine *fgf_line_temp = NULL;
+
+    if ( (fgf_func_temp = SCMalloc(sizeof(SCLogFGFilterFunc))) == NULL) {
+        printf("Error Allocating memory\n");
+        exit(EXIT_FAILURE);
+    }
+    memset(fgf_func_temp, 0, sizeof(SCLogFGFilterFunc));
+
+    if ( function != NULL && (fgf_func_temp->func = SCStrdup(function)) == NULL) {
+        printf("Error Allocating memory\n");
+        exit(EXIT_FAILURE);
+    }
+
+    if ( (fgf_line_temp = SCMalloc(sizeof(SCLogFGFilterLine))) == NULL) {
+        printf("Error Allocating memory\n");
+        exit(EXIT_FAILURE);
+    }
+    memset(fgf_line_temp, 0, sizeof(SCLogFGFilterLine));
+
+    fgf_line_temp->line = line;
+
+    /* add to the lists */
+    fgf_func_temp->line = fgf_line_temp;
+
+    if (fgf_func == NULL)
+        fgf_file->func = fgf_func_temp;
+    else
+        fgf_func->next = fgf_func_temp;
+
+    return;
+}
+
+/**
+ * \brief Helper function used internally to add a FG filter.  This function is
+ *        called when the file and function components of the incoming filter
+ *        have an entry in the filter list, but the line component doesn't have
+ *        an entry for the corresponding function component
+ *
+ * \param fgf_func The function component from the filter list to which the new
+ *                 filter has to be added
+ * \param fgf_line The function component(basically the position in the list),
+ *                 from the filter list, after which the new filter has to be
+ *                 added
+ * \param line     Line number of the filter
+ */
+static inline void SCLogAddToFGFLineList(SCLogFGFilterFunc *fgf_func,
+                                         SCLogFGFilterLine *fgf_line,
+                                         int line)
+{
+    SCLogFGFilterLine *fgf_line_temp = NULL;
+
+    if ( (fgf_line_temp = SCMalloc(sizeof(SCLogFGFilterLine))) == NULL) {
+        printf("Error Allocating memory\n");
+        exit(EXIT_FAILURE);
+    }
+    memset(fgf_line_temp, 0, sizeof(SCLogFGFilterLine));
+
+    fgf_line_temp->line = line;
+
+    /* add to the lists */
+    if (fgf_line == NULL)
+        fgf_func->line = fgf_line_temp;
+    else
+        fgf_line->next = fgf_line_temp;
+
+    return;
+}
+
+/**
+ * \brief Helper function used internally to add a FG filter
+ *
+ * \param file     File_name of the filter
+ * \param function Function_name of the filter
+ * \param line     Line number of the filter
+ * \param listtype The filter listtype.  Can be either a blacklist or whitelist
+ *                 filter listtype(SC_LOG_FILTER_BL or SC_LOG_FILTER_WL)
+ *
+ * \retval  0 on successfully adding the filter;
+ * \retval -1 on failure
+ */
+static inline int SCLogAddFGFilter(const char *file, const char *function,
+                                   int line, int listtype)
+{
+    SCLogFGFilterFile *fgf_file = NULL;
+    SCLogFGFilterFile *prev_fgf_file = NULL;
+
+    SCLogFGFilterFunc *fgf_func = NULL;
+    SCLogFGFilterFunc *prev_fgf_func = NULL;
+
+    SCLogFGFilterLine *fgf_line = NULL;
+    SCLogFGFilterLine *prev_fgf_line = NULL;
+
+    int found = 0;
+
+    if (sc_log_module_initialized != 1) {
+        printf("Logging module not initialized.  Call SCLogInitLogModule() "
+               "first before using the debug API\n");
+        return -1 ;
+    }
+
+    if (file == NULL && function == NULL && line < 0) {
+        printf("Error: Invalid arguments supplied to SCLogAddFGFilter\n");
+        return -1;
+    }
+
+    SCMutex *m = &sc_log_fg_filters_m[listtype];
+
+    SCMutexLock(m);
+
+    fgf_file = sc_log_fg_filters[listtype];
+
+    prev_fgf_file = fgf_file;
+    while (fgf_file != NULL) {
+        prev_fgf_file = fgf_file;
+        if (file == NULL && fgf_file->file == NULL)
+            found = 1;
+        else if (file != NULL && fgf_file->file != NULL)
+            found = (strcmp(file, fgf_file->file) == 0);
+        else
+            found = 0;
+
+        if (found == 1)
+            break;
+
+        fgf_file = fgf_file->next;
+    }
+
+    if (found == 0) {
+        SCLogAddToFGFFileList(prev_fgf_file, file, function, line, listtype);
+        goto done;
+    }
+
+    found = 0;
+    fgf_func = fgf_file->func;
+    prev_fgf_func = fgf_func;
+    while (fgf_func != NULL) {
+        prev_fgf_func = fgf_func;
+        if (function == NULL && fgf_func->func == NULL)
+            found = 1;
+        else if (function != NULL && fgf_func->func != NULL)
+            found = (strcmp(function, fgf_func->func) == 0);
+        else
+            found = 0;
+
+        if (found == 1)
+            break;
+
+        fgf_func = fgf_func->next;
+    }
+
+    if (found == 0) {
+        SCLogAddToFGFFuncList(fgf_file, prev_fgf_func, function, line);
+        goto done;
+    }
+
+    found = 0;
+    fgf_line = fgf_func->line;
+    prev_fgf_line = fgf_line;
+    while(fgf_line != NULL) {
+        prev_fgf_line = fgf_line;
+        if (line == fgf_line->line) {
+            found = 1;
+            break;
+        }
+
+        fgf_line = fgf_line->next;
+    }
+
+    if (found == 0) {
+        SCLogAddToFGFLineList(fgf_func, prev_fgf_line, line);
+        goto done;
+    }
+
+ done:
+    SCMutexUnlock(&sc_log_fg_filters_m[listtype]);
+    sc_log_fg_filters_present = 1;
+
+    return 0;
+}
+
+
+/**
+ * \brief Helper function used internally to add a FG filter.  This function is
+ *        called when the file component of the incoming filter has no entry
+ *        in the filter list.
+ *
+ * \param fgf_file The file component(basically the position in the list) from
+ *                 the filter list, after which the new filter has to be added
+ * \param file     File_name of the filter
+ * \param function Function_name of the filter
+ * \param line     Line number of the filter
+ * \param listtype The filter listtype.  Can be either a blacklist or whitelist
+ *                 filter listtype(SC_LOG_FILTER_BL or SC_LOG_FILTER_WL)
+ */
+static inline void SCLogAddToFGFFileList(SCLogFGFilterFile *fgf_file,
+                                         const char *file,
+                                         const char *function, int line,
+                                         int listtype)
+{
+    SCLogFGFilterFile *fgf_file_temp = NULL;
+    SCLogFGFilterFunc *fgf_func_temp = NULL;
+    SCLogFGFilterLine *fgf_line_temp = NULL;
+
+    if ( (fgf_file_temp = SCMalloc(sizeof(SCLogFGFilterFile))) == NULL) {
+        printf("Error Allocating memory\n");
+        exit(EXIT_FAILURE);
+    }
+    memset(fgf_file_temp, 0, sizeof(SCLogFGFilterFile));
+
+    if ( file != NULL && (fgf_file_temp->file = SCStrdup(file)) == NULL) {
+        printf("Error Allocating memory\n");
+        exit(EXIT_FAILURE);
+    }
+
+    if ( (fgf_func_temp = SCMalloc(sizeof(SCLogFGFilterFunc))) == NULL) {
+        printf("Error Allocating memory\n");
+        exit(EXIT_FAILURE);
+    }
+    memset(fgf_func_temp, 0, sizeof(SCLogFGFilterFunc));
+
+    if ( function != NULL && (fgf_func_temp->func = SCStrdup(function)) == NULL) {
+        printf("Error Allocating memory\n");
+        exit(EXIT_FAILURE);
+    }
+
+    if ( (fgf_line_temp = SCMalloc(sizeof(SCLogFGFilterLine))) == NULL) {
+        printf("Error Allocating memory\n");
+        exit(EXIT_FAILURE);
+    }
+    memset(fgf_line_temp, 0, sizeof(SCLogFGFilterLine));
+
+    fgf_line_temp->line = line;
+
+    /* add to the lists */
+    fgf_func_temp->line = fgf_line_temp;
+
+    fgf_file_temp->func = fgf_func_temp;
+
+    if (fgf_file == NULL)
+        sc_log_fg_filters[listtype] = fgf_file_temp;
+    else
+        fgf_file->next = fgf_file_temp;
+
+    return;
+}
+
+/**
+ * \brief Releases the memory alloted to a FD filter
+ *
+ * \param Pointer to the FD filter that has to be freed
+ */
+static inline void SCLogReleaseFDFilter(SCLogFDFilter *fdf)
+{
+    if (fdf != NULL) {
+        if (fdf->func != NULL)
+            SCFree(fdf->func);
+        SCFree(fdf);
+    }
+
+    return;
+}
+
+
 #endif /* __DEBUG_H__ */
diff --git a/src/util-debug.c b/src/util-debug.c
index d72cc15..e22c00f 100644
--- a/src/util-debug.c
+++ b/src/util-debug.c
@@ -4,8 +4,8 @@
 
 #include "suricata-common.h"
 #include "threads.h"
-#include "util-debug.h"
 #include "util-error.h"
+#include "util-debug.h"
 #include "util-enum.h"
 #include "util-debug-filters.h"
 
@@ -23,8 +23,13 @@
 
 #include "conf.h"
 
+/**
+ * \brief Holds the config state for the logging module
+ */
+static SCLogConfig *sc_log_config = NULL;
+
 /* holds the string-enum mapping for the enums held in the table SCLogLevel */
-SCEnumCharMap sc_log_level_map[ ] = {
+SCEnumCharMap sc_log_level_map[11] = {
     { "Not set",        SC_LOG_NOTSET},
     { "None",           SC_LOG_NONE },
     { "Emergency",      SC_LOG_EMERGENCY },
@@ -39,7 +44,7 @@ SCEnumCharMap sc_log_level_map[ ] = {
 };
 
 /* holds the string-enum mapping for the enums held in the table SCLogOPIface */
-SCEnumCharMap sc_log_op_iface_map[ ] = {
+SCEnumCharMap sc_log_op_iface_map[4] = {
     { "Console",        SC_LOG_OP_IFACE_CONSOLE },
     { "File",           SC_LOG_OP_IFACE_FILE },
     { "Syslog",         SC_LOG_OP_IFACE_SYSLOG },
@@ -47,7 +52,7 @@ SCEnumCharMap sc_log_op_iface_map[ ] = {
 };
 
 /* holds the string-enum mapping for the syslog facility in SCLogOPIfaceCtx */
-SCEnumCharMap sc_syslog_facility_map[] = {
+SCEnumCharMap sc_syslog_facility_map[22] = {
     { "auth",           LOG_AUTH },
     { "authpriv",       LOG_AUTHPRIV },
     { "cron",           LOG_CRON },
@@ -72,15 +77,6 @@ SCEnumCharMap sc_syslog_facility_map[] = {
     { NULL,             -1         }
 };
 
-/**
- * \brief Holds the config state for the logging module
- */
-static SCLogConfig *sc_log_config = NULL;
-
-/**
- * \brief Returns the full path given a file and configured log dir
- */
-static char *SCLogGetLogFilename(char *);
 
 /**
  * \brief Holds the global log level.  Is the same as sc_log_config->log_level
@@ -98,77 +94,6 @@ int sc_log_module_initialized = 0;
 int sc_log_module_cleaned = 0;
 
 /**
- * \brief Maps the SC logging level to the syslog logging level
- *
- * \param The SC logging level that has to be mapped to the syslog_log_level
- *
- * \retval syslog_log_level The mapped syslog_api_log_level, for the logging
- *                          module api's internal log_level
- */
-static inline int SCLogMapLogLevelToSyslogLevel(int log_level)
-{
-    int syslog_log_level = 0;
-
-    switch (log_level) {
-        case SC_LOG_EMERGENCY:
-            syslog_log_level = LOG_EMERG;
-        case SC_LOG_ALERT:
-            syslog_log_level = LOG_ALERT;
-        case SC_LOG_CRITICAL:
-            syslog_log_level = LOG_CRIT;
-        case SC_LOG_ERROR:
-            syslog_log_level = LOG_ERR;
-        case SC_LOG_WARNING:
-            syslog_log_level = LOG_WARNING;
-        case SC_LOG_NOTICE:
-            syslog_log_level = LOG_NOTICE;
-        case SC_LOG_INFO:
-            syslog_log_level = LOG_INFO;
-        case SC_LOG_DEBUG:
-            syslog_log_level = LOG_DEBUG;
-        default:
-            syslog_log_level = LOG_EMERG;
-    }
-
-    return syslog_log_level;
-}
-
-/**
- * \brief Output function that logs a character string out to a file descriptor
- *
- * \param fd  Pointer to the file descriptor
- * \param msg Pointer to the character string that should be logged
- */
-static inline void SCLogPrintToStream(FILE *fd, char *msg)
-{
-    if (fprintf(fd, "%s", msg) < 0)
-        printf("Error writing to stream using fprintf\n");
-
-    fflush(fd);
-    return;
-}
-
-/**
- * \brief Output function that logs a character string throught the syslog iface
- *
- * \param syslog_log_level Holds the syslog_log_level that the message should be
- *                         logged as
- * \param msg              Pointer to the char string, that should be logged
- *
- * \todo syslog is thread-safe according to POSIX manual and glibc code, but we
- *       we will have to look into non POSIX compliant boxes like freeBSD
- */
-static inline void SCLogPrintToSyslog(int syslog_log_level, const char *msg)
-{
-    //static struct syslog_data data = SYSLOG_DATA_INIT;
-    //syslog_r(syslog_log_level, NULL, "%s", msg);
-
-    syslog(syslog_log_level, "%s", msg);
-
-    return;
-}
-
-/**
  * \brief Outputs the message sent as the argument
  *
  * \param msg       Pointer to the message that has to be logged
@@ -468,365 +393,6 @@ SCLogOPBuffer *SCLogAllocLogOPBuffer(void)
 /*----------------------The logging module initialization code--------------- */
 
 /**
- * \brief Returns a new output_interface_context
- *
- * \retval iface_ctx Pointer to a newly allocated output_interface_context
- */
-static inline SCLogOPIfaceCtx *SCLogAllocLogOPIfaceCtx()
-{
-    SCLogOPIfaceCtx *iface_ctx = NULL;
-
-    if ( (iface_ctx = malloc(sizeof(SCLogOPIfaceCtx))) == NULL) {
-        printf("Error allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-    memset(iface_ctx, 0, sizeof(SCLogOPIfaceCtx));
-
-    return iface_ctx;
-}
-
-/**
- * \brief Initializes the file output interface
- *
- * \param file       Path to the file used for logging purposes
- * \param log_format Pointer to the log_format for this op interface, that
- *                   overrides the global_log_format
- * \param log_level  Override of the global_log_level by this interface
- *
- * \retval iface_ctx Pointer to the file output interface context created
- */
-static inline SCLogOPIfaceCtx *SCLogInitFileOPIface(const char *file,
-                                                    const char *log_format,
-                                                    int log_level)
-{
-    SCLogOPIfaceCtx *iface_ctx = SCLogAllocLogOPIfaceCtx();
-
-    iface_ctx->iface = SC_LOG_OP_IFACE_FILE;
-
-    if (file != NULL &&
-        (iface_ctx->file = strdup(file)) == NULL) {
-        printf("Error allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-
-    if ( (iface_ctx->file_d = fopen(file, "w+")) == NULL) {
-        printf("Error opening file %s\n", file);
-        return NULL;
-    }
-
-    if (log_format != NULL &&
-        (iface_ctx->log_format = strdup(log_format)) == NULL) {
-        printf("Error allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-
-    iface_ctx->log_level = log_level;
-
-    return iface_ctx;
-}
-
-/**
- * \brief Initializes the console output interface
- *
- * \param log_format Pointer to the log_format for this op interface, that
- *                   overrides the global_log_format
- * \param log_level  Override of the global_log_level by this interface
- *
- * \retval iface_ctx Pointer to the console output interface context created
- */
-static inline SCLogOPIfaceCtx *SCLogInitConsoleOPIface(const char *log_format,
-                                                       SCLogLevel log_level)
-{
-    SCLogOPIfaceCtx *iface_ctx = SCLogAllocLogOPIfaceCtx();
-
-    if ( (iface_ctx = malloc(sizeof(SCLogOPIfaceCtx))) == NULL) {
-        printf("Error allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-    memset(iface_ctx, 0, sizeof(SCLogOPIfaceCtx));
-
-    iface_ctx->iface = SC_LOG_OP_IFACE_CONSOLE;
-
-    if (log_format != NULL &&
-        (iface_ctx->log_format = strdup(log_format)) == NULL) {
-        printf("Error allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-
-    iface_ctx->log_level = log_level;
-
-    return iface_ctx;
-}
-
-/**
- * \brief Initializes the syslog output interface
- *
- * \param facility   The facility code for syslog
- * \param log_format Pointer to the log_format for this op interface, that
- *                   overrides the global_log_format
- * \param log_level  Override of the global_log_level by this interface
- *
- * \retval iface_ctx Pointer to the syslog output interface context created
- */
-static inline SCLogOPIfaceCtx *SCLogInitSyslogOPIface(int facility,
-                                                      const char *log_format,
-                                                      SCLogLevel log_level)
-{
-    SCLogOPIfaceCtx *iface_ctx = SCLogAllocLogOPIfaceCtx();
-
-    if ( (iface_ctx = malloc(sizeof(SCLogOPIfaceCtx))) == NULL) {
-        printf("Error allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-    memset(iface_ctx, 0, sizeof(SCLogOPIfaceCtx));
-
-    iface_ctx->iface = SC_LOG_OP_IFACE_SYSLOG;
-
-    if (facility == -1)
-        facility = SC_LOG_DEF_SYSLOG_FACILITY;
-    iface_ctx->facility = facility;
-
-    if (log_format != NULL &&
-        (iface_ctx->log_format = strdup(log_format)) == NULL) {
-        printf("Error allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-
-    iface_ctx->log_level = log_level;
-
-    openlog(NULL, LOG_NDELAY, iface_ctx->facility);
-
-    return iface_ctx;
-}
-
-/**
- * \brief Frees the output_interface context supplied as an argument
- *
- * \param iface_ctx Pointer to the op_interface_context to be freed
- */
-static inline void SCLogFreeLogOPIfaceCtx(SCLogOPIfaceCtx *iface_ctx)
-{
-    SCLogOPIfaceCtx *temp = NULL;
-
-    while (iface_ctx != NULL) {
-        temp = iface_ctx;
-
-        if (iface_ctx->file_d != NULL)
-            fclose(iface_ctx->file_d);
-
-        if (iface_ctx->file != NULL)
-            free((void *)iface_ctx->file);
-
-        if (iface_ctx->log_format != NULL)
-            free((void *)iface_ctx->log_format);
-
-        if (iface_ctx->iface == SC_LOG_OP_IFACE_SYSLOG) {
-            closelog();
-        }
-
-        iface_ctx = iface_ctx->next;
-
-        free(temp);
-    }
-
-    return;
-}
-
-/**
- * \brief Internal function used to set the logging module global_log_level
- *        during the initialization phase
- *
- * \param sc_lid The initialization data supplied.
- * \param sc_lc  The logging module context which has to be updated.
- */
-static inline void SCLogSetLogLevel(SCLogInitData *sc_lid, SCLogConfig *sc_lc)
-{
-    SCLogLevel log_level = SC_LOG_NOTSET;
-    const char *s = NULL;
-
-    if (sc_lid != NULL)
-        log_level = sc_lid->global_log_level;
-    else {
-        s = getenv(SC_LOG_ENV_LOG_LEVEL);
-        if (s != NULL)
-            log_level = SCMapEnumNameToValue(s, sc_log_level_map);
-    }
-
-    /* deal with the global_log_level to be used */
-    if (log_level > SC_LOG_NOTSET && log_level < SC_LOG_LEVEL_MAX)
-        sc_lc->log_level = log_level;
-    else {
-        sc_lc->log_level = SC_LOG_DEF_LOG_LEVEL;
-#ifndef UNITTESTS
-        printf("Warning: Invalid global_log_level assigned by user.  Falling "
-               "back on the default_log_level \"%s\"\n",
-               SCMapEnumValueToName(sc_lc->log_level, sc_log_level_map));
-#endif
-    }
-
-    /* we also set it to a global var, as it is easier to access it */
-    sc_log_global_log_level = sc_lc->log_level;
-
-#ifdef DEBUG
-    printf("sc_log_global_log_level: %d\n", sc_log_global_log_level);
-#endif
-
-    return;
-}
-
-/**
- * \brief Internal function used to set the logging module global_log_format
- *        during the initialization phase
- *
- * \param sc_lid The initialization data supplied.
- * \param sc_lc  The logging module context which has to be updated.
- */
-static inline void SCLogSetLogFormat(SCLogInitData *sc_lid, SCLogConfig *sc_lc)
-{
-    char *format = NULL;
-
-    if (sc_lid != NULL)
-        format = sc_lid->global_log_format;
-    else
-        format = getenv(SC_LOG_ENV_LOG_FORMAT);
-
-    /* deal with the global log format to be used */
-    if (format == NULL || strlen(format) > SC_LOG_MAX_LOG_FORMAT_LEN) {
-        format = SC_LOG_DEF_LOG_FORMAT;
-#ifndef UNITTESTS
-        printf("Warning: Invalid global_log_format supplied by user or format "
-               "length exceeded limit of \"%d\" characters.  Falling back on "
-               "default log_format \"%s\"\n", SC_LOG_MAX_LOG_FORMAT_LEN,
-               format);
-#endif
-    }
-
-    if (format != NULL &&
-        (sc_lc->log_format = strdup(format)) == NULL) {
-        printf("Error allocating memory\n");
-        exit(EXIT_FAILURE);
-    }
-
-#ifdef DEBUG
-    printf("sc_lc->log_format: %s\n", sc_lc->log_format);
-#endif
-
-    return;
-}
-
-/**
- * \brief Internal function used to set the logging module global_op_ifaces
- *        during the initialization phase
- *
- * \param sc_lid The initialization data supplied.
- * \param sc_lc  The logging module context which has to be updated.
- */
-static inline void SCLogSetOPIface(SCLogInitData *sc_lid, SCLogConfig *sc_lc)
-{
-    SCLogOPIfaceCtx *op_ifaces_ctx = NULL;
-    int op_iface = 0;
-    const char *s = NULL;
-
-    if (sc_lid != NULL && sc_lid->op_ifaces != NULL) {
-        sc_lc->op_ifaces = sc_lid->op_ifaces;
-        sc_lid->op_ifaces = NULL;
-        sc_lc->op_ifaces_cnt = sc_lid->op_ifaces_cnt;
-    }
-    else {
-        s = getenv(SC_LOG_ENV_LOG_OP_IFACE);
-        if (s != NULL) {
-            op_iface = SCMapEnumNameToValue(s, sc_log_op_iface_map);
-
-            if(op_iface < 0 || op_iface >= SC_LOG_OP_IFACE_MAX) {
-                op_iface = SC_LOG_DEF_LOG_OP_IFACE;
-#ifndef UNITTESTS
-                printf("Warning: Invalid output interface supplied by user.  "
-                       "Falling back on default_output_interface \"%s\"\n",
-                       SCMapEnumValueToName(op_iface, sc_log_op_iface_map));
-#endif
-            }
-        }
-        else {
-            op_iface = SC_LOG_DEF_LOG_OP_IFACE;
-#ifndef UNITTESTS
-            printf("Warning: Output_interface not supplied by user.  Falling "
-                   "back on default_output_interface \"%s\"\n",
-                   SCMapEnumValueToName(op_iface, sc_log_op_iface_map));
-#endif
-        }
-
-        switch (op_iface) {
-            case SC_LOG_OP_IFACE_CONSOLE:
-                op_ifaces_ctx = SCLogInitConsoleOPIface(NULL, SC_LOG_LEVEL_MAX);
-                break;
-            case SC_LOG_OP_IFACE_FILE:
-                s = getenv(SC_LOG_ENV_LOG_FILE);
-                if (s == NULL)
-                    s = SCLogGetLogFilename(SC_LOG_DEF_LOG_FILE);
-
-                op_ifaces_ctx = SCLogInitFileOPIface(s, NULL, SC_LOG_LEVEL_MAX);
-                break;
-            case SC_LOG_OP_IFACE_SYSLOG:
-                s = getenv(SC_LOG_ENV_LOG_FACILITY);
-                if (s == NULL)
-                    s = SC_LOG_DEF_SYSLOG_FACILITY_STR;
-
-                op_ifaces_ctx = SCLogInitSyslogOPIface(SCMapEnumNameToValue(s, sc_syslog_facility_map), NULL, -1);
-                break;
-            default:
-                break;
-        }
-        sc_lc->op_ifaces = op_ifaces_ctx;
-        sc_lc->op_ifaces_cnt++;
-    }
-
-    return;
-}
-
-/**
- * \brief Internal function used to set the logging module op_filter
- *        during the initialization phase
- *
- * \param sc_lid The initialization data supplied.
- * \param sc_lc  The logging module context which has to be updated.
- */
-static inline void SCLogSetOPFilter(SCLogInitData *sc_lid, SCLogConfig *sc_lc)
-{
-    const char *filter = NULL;
-
-    int opts = 0;
-    const char *ep;
-    int eo = 0;
-
-    if (sc_lid != NULL)
-        filter = sc_lid->op_filter;
-    else
-        filter = getenv(SC_LOG_ENV_LOG_OP_FILTER);
-
-    if (filter != NULL && strcmp(filter, "") != 0) {
-        sc_lc->op_filter_regex = pcre_compile(filter, opts, &ep, &eo, NULL);
-        if (sc_lc->op_filter_regex == NULL) {
-            printf("pcre compile of \"%s\" failed at offset %d : %s\n", filter,
-                   eo, ep);
-            return;
-        }
-
-        sc_lc->op_filter_regex_study = pcre_study(sc_lc->op_filter_regex, 0,
-                                                  &ep);
-        if (ep != NULL) {
-            printf("pcre study failed: %s\n", ep);
-            return;
-        }
-    }
-
-#ifdef DEBUG
-    printf("SCLogSetOPFilter: filter: %s\n", filter ? filter : "<no filter>");
-#endif
-
-    return;
-}
-
-/**
  * \brief Returns a pointer to a new SCLogInitData.  This is a public interface
  *        intended to be used after the logging paramters are read from the
  *        conf file
@@ -868,24 +434,6 @@ void SCLogFreeLogInitData(SCLogInitData *sc_lid)
 }
 
 /**
- * \brief Frees the logging module context
- */
-static inline void SCLogFreeLogConfig(SCLogConfig *sc_lc)
-{
-    if (sc_lc != NULL) {
-        if (sc_lc->startup_message != NULL)
-            free(sc_lc->startup_message);
-        if (sc_lc->log_format != NULL)
-            free(sc_lc->log_format);
-
-        SCLogFreeLogOPIfaceCtx(sc_lc->op_ifaces);
-        free(sc_lc);
-    }
-
-    return;
-}
-
-/**
  * \brief Appends an output_interface to the output_interface list sent in head
  *
  * \param iface_ctx Pointer to the output_interface that has to be added to head
@@ -1240,7 +788,7 @@ void SCLogInitLogModuleIfEnvSet(void)
  *
  * \retval log_filename The fullpath of the logfile to open
  */
-static char *SCLogGetLogFilename(char *filearg)
+char *SCLogGetLogFilename(char *filearg)
 {
     char *log_dir;
     char *log_filename;
